/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcUsuarios;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class WcUsuariosFacade extends AbstractFacade<WcUsuarios> implements WcUsuariosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public WcUsuariosFacade() {
        super(WcUsuarios.class);
    }

    @Override
    public WcUsuarios obtenerUsuario(String username, String password) {

        WcUsuarios rs = null;
        String consulta;

        consulta = "FROM WcUsuarios w WHERE w.usuarioNombre = ?1 AND w.contrasenia = ?2";
        Query q = em.createQuery(consulta);
        q.setParameter(1, username);
        q.setParameter(2, password);

        List<WcUsuarios> l = q.getResultList();
        if (!l.isEmpty()) {
            rs = l.get(0);
        }

        return rs;
    }

    @Override
    public String maxUser() {
        return em.createNamedQuery("WcUsuarios.maxUser").getSingleResult().toString();
    }

    @Override
    public WcUsuarios ObtenerUsuario(String user) {
        Query q = em.createNamedQuery("WcUsuarios.findByUsuarioNombre");
        q.setParameter("usuarioNombre", user);
        WcUsuarios result = (WcUsuarios) q.getResultList().get(0);
        return result;
    }


}
